org.aspectj.lang.annotation

## Annotation Type Aspect

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface Aspect

Aspect declaration

Author:
  Alexandre Vasseur

### Optional Element Summary

Optional Elements
`java.lang.String` `value` Per clause expression, defaults to singleton aspect Valid values are "" (singleton), "perthis(...)", etc

### Element Detail

#### value

    public abstract java.lang.String value

Per clause expression, defaults to singleton aspect

Valid values are "" (singleton), "perthis(...)", etc

Default:
  ""